[amdgpu] screen freeze after suspend

Bug #1833617 reported by Meir Levi on 2019-06-20
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned
xserver-xorg-video-amdgpu (Ubuntu)
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned

Bug Description

=== SRU Justification ===
[Impact]
Screen freeze after S3 on AMD Stoney Ridge.

[Fix]
Pin the VRAM so it won't contain garbage data after S3.

[Test]
After applying this patch I can confirm the issue is gone on Dell
Inspiron 3180, a Stoney Ridge laptop.

[Regression Potential]
Low. This patch only touched a small subset of amdgpu.

=== Original Bug Report ===
It's most likely amdgup driver needs an upgrade. Problem occurs since kernel upgrade to 5.0

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: xorg 1:7.7+19ubuntu12
ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
Uname: Linux 5.0.0-18-generic x86_64
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
CompositorRunning: None
Date: Thu Jun 20 13:46:46 2019
DistUpgraded: Fresh install
DistroCodename: disco
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
   Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
InstallationDate: Installed on 2019-06-06 (14 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
MachineType: Dell Inc. Inspiron 3180
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/09/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.3.0
dmi.board.name: 0918N8
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 1.3.0
dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
dmi.product.family: Inspiron
dmi.product.name: Inspiron 3180
dmi.product.sku: 087E
dmi.product.version: 1.3.0
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.97-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Meir Levi (ubuntu-meir) wrote :
Daniel van Vugt (vanvugt) wrote :

Please reproduce the freeze again, then reboot and run:

  journalctl -b-1 > prevboot.txt

and send us the file 'prevboot.txt'.

tags: added: amdgpu
summary: - screen freeze after suspend
+ [amdgpu] screen freeze after suspend
affects: xorg (Ubuntu) → xserver-xorg-video-amdgpu (Ubuntu)
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Incomplete

 screen freeze results. Please let me know the cause

thanks Daniel
M. Levi
    On Thursday, June 20, 2019, 8:35:33 PM PDT, Daniel van Vugt <email address hidden> wrote:

 Please reproduce the freeze again, then reboot and run:

  journalctl -b-1 > prevboot.txt

and send us the file 'prevboot.txt'.

** Tags added: amdgpu

** Summary changed:

- screen freeze after suspend
+ [amdgpu] screen freeze after suspend

** Package changed: xorg (Ubuntu) => xserver-xorg-video-amdgpu (Ubuntu)

** Changed in: xserver-xorg-video-amdgpu (Ubuntu)
      Status: New => Incomplete

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Incomplete

Bug description:
  It's most likely amdgup driver needs an upgrade. Problem occurs since
  kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1833617/+subscriptions

Daniel van Vugt (vanvugt) wrote :

Thanks. That kernel log seems to show the machine never wakes up!

Jun 21 08:44:15 meiradmin-Inspiron-3180 systemd[1]: Reached target Sleep.
Jun 21 08:44:15 meiradmin-Inspiron-3180 systemd[1]: Starting Suspend...
Jun 21 08:44:15 meiradmin-Inspiron-3180 systemd-sleep[2384]: Suspending system...
Jun 21 08:44:15 meiradmin-Inspiron-3180 kernel: PM: suspend entry (deep)

So I will assign this to the kernel too.

Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: Incomplete → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Download full text (88.3 KiB)

 Thanks, Daniel.There is another issue since Linux 5.0.For some reason, I can't get to the Recovery mode during boot up (neither "esc" nor "shift" key work).Is that by design or another bug?
Just for reference. Here is my latest Journal generated this morning. (I use Cinnomon as my Desktop)
6/24/19 9:21 AM    systemd    Reached target Timers.
6/24/19 9:21 AM    systemd    Listening on GnuPG cryptographic agent and passphrase cache.
6/24/19 9:21 AM    systemd    Listening on GnuPG network certificate management daemon.
6/24/19 9:21 AM    systemd    Listening on GnuPG cryptographic agent and passphrase cache (restricted).
6/24/19 9:21 AM    systemd    Listening on GnuPG cryptographic agent (ssh-agent emulation).
6/24/19 9:21 AM    systemd    Started Pending report trigger for Ubuntu Report.
6/24/19 9:21 AM    systemd    Reached target Paths.
6/24/19 9:21 AM    systemd    Listening on GnuPG cryptographic agent and passphrase cache (access for web browsers).
6/24/19 9:21 AM    systemd    Listening on Sound System.
6/24/19 9:21 AM    systemd    Listening on D-Bus User Message Bus Socket.
6/24/19 9:21 AM    systemd    Reached target Sockets.
6/24/19 9:21 AM    systemd    Reached target Basic System.
6/24/19 9:21 AM    systemd    Reached target Default.
6/24/19 9:21 AM    systemd    Startup finished in 148ms.
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    (--) Log file renamed from "/home/meir-user/.local/share/xorg/Xorg.pid-19996.log" to "/home/meir-user/.local/share/xorg/Xorg.0.log"
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    X.Org X Server 1.20.4
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    X Protocol Version 11, Revision 0
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    Build Operating System: Linux 4.4.0-143-generic x86_64 Ubuntu
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    Current Operating System: Linux meiradmin-Inspiron-3180 5.0.0-18-generic #19-Ubuntu SMP Wed Jun 12 18:17:16 UTC 2019 x86_64
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    Build Date: 03 April 2019  09:03:57AM
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    xorg-server 2:1.20.4-1ubuntu3 (For technical support please see http://www.ubuntu.com/support)
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    Current version of pixman: 0.36.0
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session        Before reporting problems, check http://wiki.x.org
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session        to make sure that you have the latest version.
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    Markers: (--) probed, (**) from config file, (==) default setting,
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session        (++) from command line, (!!) notice, (II) informational,
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    (==) Log file: "/home/meir-user/.local/share/xorg/Xorg.0.log", Time: Mon Jun 24 09:21:53 2019
6/24/19 9:21 AM    /usr/lib/gdm3/gdm-x-session    (==) Using system config dir...

Daniel van Vugt (vanvugt) wrote :

Recovery mode should work, but that does sound like a different bug.

Meir Levi (ubuntu-meir) wrote :

 Although mine is the "esc" key, I read somewhere that "shift" key also used to get to the recovery mode to which I also tried to no avail.
thanksLevi

    On Monday, June 24, 2019, 7:00:56 PM PDT, Daniel van Vugt <email address hidden> wrote:

 Recovery mode should work, but that does sound like a different bug.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Confirmed
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  New

Bug description:
  It's most likely amdgup driver needs an upgrade. Problem occurs since
  kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1833617/+subscriptions

Kai-Heng Feng (kaihengfeng) wrote :
Brad Figg (brad-figg) on 2019-07-24
tags: added: ubuntu-certified
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Confirmed
Steven Mackenzie (z-steven) wrote :

I tested with the latest mainline kernel, 5.2.8 (also with 5.2) and the issue persists.

Kai-Heng Feng (kaihengfeng) wrote :

Please test latest mainline kernel again:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.3-rc4/

And attach `journalctl -b -1 -k` once the issue happens.

Meir Levi (ubuntu-meir) wrote :

 kai-hengthanks for the follow-up. The problem still persists. When I close the lead, the screen remains blanks. However, when I Press "suspend" the display does show up but the keyboard is disabled
Attached is the latest journal. It is automatically generated and stored on my desktop.
ThanksLevi

    On Friday, August 16, 2019, 6:20:43 AM PDT, Kai-Heng Feng <email address hidden> wrote:

 Please test latest mainline kernel again:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.3-rc4/

And attach `journalctl -b -1 -k` once the issue happens.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Confirmed
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Confirmed

Bug description:
  It's most likely amdgup driver needs an upgrade. Problem occurs since
  kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1833617/+subscriptions

Kai-Heng Feng (kaihengfeng) wrote :

Unfortunately it's not a log file. Please attach `journalctl -b -1 -k`.``

Meir Levi (ubuntu-meir) wrote :

 Kai-hengthe attached is the latest system Log. in case the previous one did not open

thanksLevi

    On Friday, August 16, 2019, 6:20:43 AM PDT, Kai-Heng Feng <email address hidden> wrote:

 Please test latest mainline kernel again:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.3-rc4/

And attach `journalctl -b -1 -k` once the issue happens.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Confirmed
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Confirmed

Bug description:
  It's most likely amdgup driver needs an upgrade. Problem occurs since
  kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1833617/+subscriptions

Meir Levi (ubuntu-meir) wrote :

 The problem still persists. The attached in the latest copy of the Journal
thanks

    On Friday, August 16, 2019, 6:20:43 AM PDT, Kai-Heng Feng <email address hidden> wrote:

 Please test latest mainline kernel again:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.3-rc4/

And attach `journalctl -b -1 -k` once the issue happens.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Confirmed
Status in xserver-xorg-video-amdgpu package in Ubuntu:
  Confirmed

Bug description:
  It's most likely amdgup driver needs an upgrade. Problem occurs since
  kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1833617/+subscriptions

Kai-Heng Feng (kaihengfeng) wrote :

That's still an invalid file. I think we have Inspiron 3180 in our lab, I'll take a look when I have time.

Changed in linux (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
description: updated
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu Eoan):
assignee: Kai-Heng Feng (kaihengfeng) → nobody
no longer affects: xserver-xorg-video-amdgpu (Ubuntu)
Meir Levi (ubuntu-meir) wrote :
Download full text (6.7 KiB)

 thanks for the fix.What do I need to do to implement this fix?Please adviseLevi

    On Monday, September 2, 2019, 1:30:54 AM PDT, Kai-Heng Feng <email address hidden> wrote:

 ** Description changed:

- It's most likely amdgup driver needs an upgrade. Problem occurs since
- kernel upgrade to 5.0
+ === SRU Justification ===
+ [Impact]
+ Screen freeze after S3 on AMD Stoney Ridge.
+
+ [Fix]
+ Pin the VRAM so it won't contain garbage data after S3.
+
+ [Test]
+ After applying this patch I can confirm the issue is gone on Dell
+ Inspiron 3180, a Stoney Ridge laptop.
+
+ [Regression Potential]
+ Low. This patch only touched a small subset of amdgpu.
+
+ === Original Bug Report ===
+ It's most likely amdgup driver needs an upgrade. Problem occurs since kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
-  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
-    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
+  Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
+    Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

** Changed in: xserver-xorg-video-amdgpu (Ubuntu)
      Status: Confirmed => Invalid

** Also affects: linux (Ubuntu Eoan)
  Importance: Undecide...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :

Please use this test kernel for the interim:
https://people.canonical.com/~khfeng/lp1833617/

Meir Levi (ubuntu-meir) wrote :
Download full text (3.4 KiB)

Thanks

> On 2 Sep 2019, at 22:10, Kai-Heng Feng <email address hidden> wrote:
>
> Please use this test kernel for the interim:
> https://people.canonical.com/~khfeng/lp1833617/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1833617
>
> Title:
> [amdgpu] screen freeze after suspend
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Disco:
> New
> Status in xserver-xorg-video-amdgpu source package in Disco:
> New
> Status in linux source package in Eoan:
> Confirmed
> Status in xserver-xorg-video-amdgpu source package in Eoan:
> Invalid
>
> Bug description:
> === SRU Justification ===
> [Impact]
> Screen freeze after S3 on AMD Stoney Ridge.
>
> [Fix]
> Pin the VRAM so it won't contain garbage data after S3.
>
> [Test]
> After applying this patch I can confirm the issue is gone on Dell
> Inspiron 3180, a Stoney Ridge laptop.
>
> [Regression Potential]
> Low. This patch only touched a small subset of amdgpu.
>
> === Original Bug Report ===
> It's most likely amdgup driver needs an upgrade. Problem occurs since kernel upgrade to 5.0
>
> ProblemType: Bug
> DistroRelease: Ubuntu 19.04
> Package: xorg 1:7.7+19ubuntu12
> ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
> Uname: Linux 5.0.0-18-generic x86_64
> ApportVersion: 2.20.10-0ubuntu27
> Architecture: amd64
> CompositorRunning: None
> Date: Thu Jun 20 13:46:46 2019
> DistUpgraded: Fresh install
> DistroCodename: disco
> DistroVariant: ubuntu
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
> Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
> InstallationDate: Installed on 2019-06-06 (14 days ago)
> InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
> MachineType: Dell Inc. Inspiron 3180
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
> SourcePackage: xorg
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 03/09/2018
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: 1.3.0
> dmi.board.name: 0918N8
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 10
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: 1.3.0
> dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
> dmi.product.family: Inspiron
> dmi.product.name: Inspiron 3180
> dmi.product.sku: 087E
> dmi.product.version: 1.3.0
> dmi.sys.vendor: Dell Inc.
> version.compiz: compiz N/A
> version.libdrm2: libdrm2 2.4.97-1ubuntu1
> version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
> version.libgl1-mesa-glx: libgl1-mesa-glx N/A
> version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
> version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
> version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
> version.xserver-xorg-video-intel...

Read more...

Seth Forshee (sforshee) on 2019-09-05
Changed in linux (Ubuntu Eoan):
status: Confirmed → Fix Committed
Richard Baka (bakarichard91) wrote :

Hi, I have a very similar problem with kernel 5.3rc7. Wil this be downstream patched then?
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1842954

Meir Levi (ubuntu-meir) wrote :
Download full text (3.5 KiB)

 Richard

here is the interim solution provided by  Kai-Heng. It worked on my Laptop
Index of /~khfeng/lp1833617

|
|
| |
Index of /~khfeng/lp1833617

 |

 |

 |

    On Friday, September 6, 2019, 8:01:13 AM PDT, Richard Baka <email address hidden> wrote:

 Hi, I have a very similar problem with kernel 5.3rc7. Wil this be downstream patched then?
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1842954

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Fix Committed
Status in linux source package in Disco:
  New
Status in xserver-xorg-video-amdgpu source package in Disco:
  New
Status in linux source package in Eoan:
  Fix Committed
Status in xserver-xorg-video-amdgpu source package in Eoan:
  Invalid

Bug description:
  === SRU Justification ===
  [Impact]
  Screen freeze after S3 on AMD Stoney Ridge.

  [Fix]
  Pin the VRAM so it won't contain garbage data after S3.

  [Test]
  After applying this patch I can confirm the issue is gone on Dell
  Inspiron 3180, a Stoney Ridge laptop.

  [Regression Potential]
  Low. This patch only touched a small subset of amdgpu.

  === Original Bug Report ===
  It's most likely amdgup driver needs an upgrade. Problem occurs since kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
     Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1...

Read more...

Richard Baka (bakarichard91) wrote :

Thanks, this is a patched kernel I think. I need a more recent kernel, could you give me the patch.?

Meir Levi (ubuntu-meir) wrote :
Download full text (3.5 KiB)

  More recent releases do not work. The very reason I stopped the Kernell updates on my laptop until version  5.0.0.-28 is released which should include the solution to our problem of screen never wakes up from suspend mode.

    On Friday, September 6, 2019, 9:30:48 AM PDT, Richard Baka <email address hidden> wrote:

 Thanks, this is a patched kernel I think. I need a more recent kernel,
could you give me the patch.?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Fix Committed
Status in linux source package in Disco:
  New
Status in xserver-xorg-video-amdgpu source package in Disco:
  New
Status in linux source package in Eoan:
  Fix Committed
Status in xserver-xorg-video-amdgpu source package in Eoan:
  Invalid

Bug description:
  === SRU Justification ===
  [Impact]
  Screen freeze after S3 on AMD Stoney Ridge.

  [Fix]
  Pin the VRAM so it won't contain garbage data after S3.

  [Test]
  After applying this patch I can confirm the issue is gone on Dell
  Inspiron 3180, a Stoney Ridge laptop.

  [Regression Potential]
  Low. This patch only touched a small subset of amdgpu.

  === Original Bug Report ===
  It's most likely amdgup driver needs an upgrade. Problem occurs since kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
     Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xse...

Read more...

Timo Aaltonen (tjaalton) on 2019-09-10
Changed in xserver-xorg-video-amdgpu (Ubuntu Disco):
status: New → Invalid

The kernel patch "drm/amdgpu: pin the csb buffer on hw init for gfx v8" (Upstream commit 72cda9bb5e219aea0f2f62f56ae05198c59022a7) has already been applied to Disco as part of bug #1842128 (Disco update: upstream stable patchset 2019-08-30).

Changed in linux (Ubuntu Disco):
status: New → Fix Committed
Meir Levi (ubuntu-meir) wrote :
Download full text (83.5 KiB)

 Perhaps this is a new bug. Touchpad freeze after wakeup. Mouse works Here is a copy of the syslog & dmesg
user-meir@adminmeir-Inspiron-3180:~$ dmesg
[    0.000000] Linux version 5.3.0-25-generic (buildd@lgw01-amd64-036) (gcc version 9.2.1 20191008 (Ubuntu 9.2.1-9ubuntu2)) #27-Ubuntu SMP Wed Dec 4 13:36:32 UTC 2019 (Ubuntu 5.3.0-25.27-generic 5.3.13)
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-5.3.0-25-generic root=UUID=8b17e198-3430-4a53-9e4a-1da7d792458b ro quiet splash vt.handoff=7
[    0.000000] KERNEL supported cpus:
[    0.000000]   Intel GenuineIntel
[    0.000000]   AMD AuthenticAMD
[    0.000000]   Hygon HygonGenuine
[    0.000000]   Centaur CentaurHauls
[    0.000000]   zhaoxin   Shanghai
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
[    0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x0000000000086fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000087000-0x0000000000087fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000088000-0x000000000009ffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000000a0000-0x00000000000bffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000d64b5fff] usable
[    0.000000] BIOS-e820: [mem 0x00000000d64b6000-0x00000000d6db5fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000d6db6000-0x00000000e6fbefff] usable
[    0.000000] BIOS-e820: [mem 0x00000000e6fbf000-0x00000000e71befff] type 20
[    0.000000] BIOS-e820: [mem 0x00000000e71bf000-0x00000000e78befff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e78bf000-0x00000000e7bbefff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000e7bbf000-0x00000000e7bfefff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000e7bff000-0x00000000e7bfffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000e7c00000-0x00000000e7ffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000f0800000-0x00000000f08fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec10000-0x00000000fec10fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed80000-0x00000000fed80fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ff800000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x0000000111ffffff] usable
[    0.000000] BIOS-e820: [mem 0x0000000112000000-0x0000000116ffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] efi: EFI v2.50 by Dell Inc.
[    0.000000] efi:  ACPI 2.0=0xe7bfe014  SMBIOS=0xe726e000  SMBIOS 3.0=0xe726c000  ESRT=0xe726f718  MEMATTR=0xe4e06018
[    0.000000] secureboot: Secure boot could not be determined (mode 0)
[    0.000...

Kai-Heng Feng (kaihengfeng) wrote :

Can you please file a new bug report so it can be tracked separately?

Meir Levi (ubuntu-meir) wrote :
Download full text (3.3 KiB)

 Done bug report sentThanksLevi

    On Tuesday, December 17, 2019, 1:20:45 AM PST, Kai-Heng Feng <email address hidden> wrote:

 Can you please file a new bug report so it can be tracked separately?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1833617

Title:
  [amdgpu] screen freeze after suspend

Status in linux package in Ubuntu:
  Fix Committed
Status in linux source package in Disco:
  Fix Committed
Status in xserver-xorg-video-amdgpu source package in Disco:
  Invalid
Status in linux source package in Eoan:
  Fix Committed
Status in xserver-xorg-video-amdgpu source package in Eoan:
  Invalid

Bug description:
  === SRU Justification ===
  [Impact]
  Screen freeze after S3 on AMD Stoney Ridge.

  [Fix]
  Pin the VRAM so it won't contain garbage data after S3.

  [Test]
  After applying this patch I can confirm the issue is gone on Dell
  Inspiron 3180, a Stoney Ridge laptop.

  [Regression Potential]
  Low. This patch only touched a small subset of amdgpu.

  === Original Bug Report ===
  It's most likely amdgup driver needs an upgrade. Problem occurs since kernel upgrade to 5.0

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu12
  ProcVersionSignature: Ubuntu 5.0.0-18.19-generic 5.0.12
  Uname: Linux 5.0.0-18-generic x86_64
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CompositorRunning: None
  Date: Thu Jun 20 13:46:46 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Stoney [Radeon R2/R3/R4/R5 Graphics] [1002:98e4] (rev eb) (prog-if 00 [VGA controller])
     Subsystem: Dell Stoney [Radeon R2/R3/R4/R5 Graphics] [1028:087e]
  InstallationDate: Installed on 2019-06-06 (14 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: Dell Inc. Inspiron 3180
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-18-generic root=UUID=a16bd163-e82f-4ec1-9c5f-c9bd32e225fa ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/09/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.3.0
  dmi.board.name: 0918N8
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 1.3.0
  dmi.modalias: dmi:bvnDellInc.:bvr1.3.0:bd03/09/2018:svnDellInc.:pnInspiron3180:pvr1.3.0:rvnDellInc.:rn0918N8:rvrA00:cvnDellInc.:ct10:cvr1.3.0:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3180
  dmi.product.sku: 087E
  dmi.product.version: 1.3.0
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1ubuntu1
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-vide...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers